> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/points-of-interest-for-user.md).

# Points Of Interest For User

## GET /V2/{tenantVarCode}/userpointsofinterest

> Returns a list of Points Of Interest for the current user

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Points of Interest for User"}],"paths":{"/V2/{tenantVarCode}/userpointsofinterest":{"get":{"tags":["Points of Interest for User"],"summary":"Returns a list of Points Of Interest for the current user","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PointOfInterest"}}}}}}}}},"components":{"schemas":{"PointOfInterest":{"required":["Color","Icon","Name","Position"],"type":"object","properties":{"PointOfInterestId":{"type":"string","description":"Unique string that identifies the point of interest","nullable":true},"Name":{"minLength":1,"type":"string","description":"A string with name"},"Description":{"type":"string","description":"A string with description","nullable":true},"Icon":{"minLength":1,"type":"string","description":"Name of icon (see portal for available icon list)"},"Color":{"minLength":1,"type":"string","description":"Color of Icon (Supported colors are orange, black, green, blue, red, purple)"},"Position":{"$ref":"#/components/schemas/LatLon"},"MinZoom":{"type":"integer","description":"Minimum Zoom when POI is shown","format":"int32"},"VisibleInSubTenants":{"type":"boolean","description":"If true, POI is visible to users in sub-tenants. Used for Global Points Of Interest only, not applicable for User Points Of Interest"}},"additionalProperties":false},"LatLon":{"type":"object","properties":{"Lat":{"type":"number","format":"double"},"Lon":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## POST /V2/{tenantVarCode}/userpointsofinterest

> Creates a new user Point Of Interest

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Points of Interest for User"}],"paths":{"/V2/{tenantVarCode}/userpointsofinterest":{"post":{"tags":["Points of Interest for User"],"summary":"Creates a new user Point Of Interest","operationId":"PointsOfInterestForUser","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"PointOfInterest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"text/plain":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"text/json":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"text/xml":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"PointOfInterest":{"required":["Color","Icon","Name","Position"],"type":"object","properties":{"PointOfInterestId":{"type":"string","description":"Unique string that identifies the point of interest","nullable":true},"Name":{"minLength":1,"type":"string","description":"A string with name"},"Description":{"type":"string","description":"A string with description","nullable":true},"Icon":{"minLength":1,"type":"string","description":"Name of icon (see portal for available icon list)"},"Color":{"minLength":1,"type":"string","description":"Color of Icon (Supported colors are orange, black, green, blue, red, purple)"},"Position":{"$ref":"#/components/schemas/LatLon"},"MinZoom":{"type":"integer","description":"Minimum Zoom when POI is shown","format":"int32"},"VisibleInSubTenants":{"type":"boolean","description":"If true, POI is visible to users in sub-tenants. Used for Global Points Of Interest only, not applicable for User Points Of Interest"}},"additionalProperties":false},"LatLon":{"type":"object","properties":{"Lat":{"type":"number","format":"double"},"Lon":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/userpointsofinterest/{pointOfInterestId}

> Returns a specific point of interest

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Points of Interest for User"}],"paths":{"/V2/{tenantVarCode}/userpointsofinterest/{pointOfInterestId}":{"get":{"tags":["Points of Interest for User"],"summary":"Returns a specific point of interest","operationId":"GetPointOfInterestForUser","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"pointOfInterestId","in":"path","description":"Point Of Interest Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}}}}}}}},"components":{"schemas":{"AddressBookContact":{"required":["ContactName"],"type":"object","properties":{"ContactId":{"type":"string","description":"Unique string that identifies the contact","nullable":true},"ContactName":{"minLength":1,"type":"string","description":"A string with contact name"},"IsEscalationContact":{"type":"boolean","description":"In the event of an emergency, escalation contact information will be provided to first responders. Applicable to Tenant contacts only."},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant contact available also for sub-tenants. Applicable to Tenant contacts only."},"SyncToDevices":{"type":"boolean","description":"Contact is synced to devices. Read only property applicable to Tenant contacts only.","nullable":true},"CultureName":{"type":"string","description":"Optionally denotes the Culture for the contact.","nullable":true},"ContactEntries":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContactEntry"},"description":"List of details for the contact","nullable":true}},"additionalProperties":false},"AddressBookContactEntry":{"required":["Address"],"type":"object","properties":{"EntryId":{"type":"string","description":"Unique string that identifies the contact entry","nullable":true},"Address":{"minLength":1,"type":"string","description":"The address of the recipient"},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified","format":"date-time","nullable":true}},"additionalProperties":false}}}}
```

## PUT /V2/{tenantVarCode}/userpointsofinterest/{pointOfInterestId}

> Updates an existing user Point Of Interest

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Points of Interest for User"}],"paths":{"/V2/{tenantVarCode}/userpointsofinterest/{pointOfInterestId}":{"put":{"tags":["Points of Interest for User"],"summary":"Updates an existing user Point Of Interest","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"pointOfInterestId","in":"path","description":"Point Of Interest Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated Point Of Interest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/xml":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"text/plain":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"text/json":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"text/xml":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/PointOfInterest"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"PointOfInterest":{"required":["Color","Icon","Name","Position"],"type":"object","properties":{"PointOfInterestId":{"type":"string","description":"Unique string that identifies the point of interest","nullable":true},"Name":{"minLength":1,"type":"string","description":"A string with name"},"Description":{"type":"string","description":"A string with description","nullable":true},"Icon":{"minLength":1,"type":"string","description":"Name of icon (see portal for available icon list)"},"Color":{"minLength":1,"type":"string","description":"Color of Icon (Supported colors are orange, black, green, blue, red, purple)"},"Position":{"$ref":"#/components/schemas/LatLon"},"MinZoom":{"type":"integer","description":"Minimum Zoom when POI is shown","format":"int32"},"VisibleInSubTenants":{"type":"boolean","description":"If true, POI is visible to users in sub-tenants. Used for Global Points Of Interest only, not applicable for User Points Of Interest"}},"additionalProperties":false},"LatLon":{"type":"object","properties":{"Lat":{"type":"number","format":"double"},"Lon":{"type":"number","format":"double"}},"additionalProperties":false}}}}
```

## DELETE /V2/{tenantVarCode}/userpointsofinterest/{pointOfIntrestId}

> Deletes a specific user point of interest

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Points of Interest for User"}],"paths":{"/V2/{tenantVarCode}/userpointsofinterest/{pointOfIntrestId}":{"delete":{"tags":["Points of Interest for User"],"summary":"Deletes a specific user point of interest","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"pointOfIntrestId","in":"path","description":"Point Of Interest Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
